phone.getGroupCallJoinAs
Get a list of peers that can be used to join a video chat or livestream », presenting yourself as a specific user/channel. This method cannot be used for live stories or conference calls. To comment or react in a live story as another peer, use channels.RawGetSendAsRequest with for_live_stories set and pass one of the returned peers to phone.RawSendGroupCallMessageRequest.send_as.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Get a list of peers that can be used to join a video chat or livestream », presenting yourself as a specific user/channel. This method cannot be used for live stories or conference calls. To comment or react in a live story as another peer, use channels.RawGetSendAsRequest with for_live_stories set and pass one of the returned peers to phone.RawSendGroupCallMessageRequest.send_as.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.getGroupCallJoinAs" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" } } }'{ "result": { "_": "phone.joinAsPeers", "peers": [ { "_": "peerUser", "userId": 0 } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getGroupCallChainBlocks
Fetch blocks from a conference call [subchain »](https://core.telegram.org/api/end-to-end/group-calls#subchains); handle the returned `RawUpdateGroupCallChainBlocks` as [specified here »](https://core.telegram.org/api/end-to-end/group-calls#handling-updates). If the number of blocks returned by any call to this method is equal to limit, this method must be re-invoked immediately after processing the returned `RawUpdateGroupCallChainBlocks`, with the newly committed offset (usually equal to the returned next_offset).
getGroupCallStars
Fetch a live story's total donations and top donors, see [paid live story donations »](https://core.telegram.org/api/group-calls#paid-live-story-donations).